Description

When logged in using the "arctic’ theme on dev.nceas.ucsb.edu (i.e. via ORCID), the EML download link to the private metadata
document that | created fails to download. We get:

<?xml version="1.0" encoding="UTF-8"?><error detailCode="1400" errorCode="401" name="NotAuthorized
ll>

<description>READ not allowed on arctic-data.l11256.1</description>
</error>

An example is:

https://dev.nceas.ucsb.edu/#view/arctic-data.11256.1

The download button links directly to the /object REST endpoint:

https://dev.nceas.ucsb.edu/knb/d1/mn/v2/object/arctic-data.11256.1

My guess is that the “Authorization™ header isn't getting set in this direct call, so with no auth token, it's seen as a public download.

History

#1 - 04/22/2016 08:52 AM - Chris Jones

- Description updated

#2 - 04/25/2016 08:55 AM - ben leinfelder

That's an interesting issue - how to provide hyperlinks but include headers?

#3 - 04/26/2016 11:02 AM - Lauren Walker

- Status changed from New to In Progress

There is no way to include headers in an HTML link. What the Ul can do is download the object via an XMLHttpRequest if it is not public.

#4 - 04/26/2016 11:05 AM - ben leinfelder

Yep, that's what | figured. Does that just happen in a new tab or something?

#5 - 04/29/2016 12:14 PM - Lauren Walker

- Status changed from In Progress to Resolved
